# Update a campaign

URL: https://www.inclamo.com/docs/api/application/campaigns/update-campaign

> Update campaign fields, including scheduled_at to reschedule an active one-off campaign. Completed campaigns cannot be updated. Requires an account administrator and API access enabled for the account.

## PATCH /api/v1/accounts/{account_id}/campaigns/{id}

Update a campaign

Update campaign fields, including scheduled_at to reschedule an active one-off campaign. Completed campaigns cannot be updated. Requires an account administrator and API access enabled for the account.

Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `id` (path, required, integer): Account-scoped campaign ID returned by the campaign API.

### Request body

`application/json` (required)

```json

{
  "$ref": "#/components/schemas/campaign_update_payload"
}

```

### Responses

- 200: Success
- 401: Authentication failed or the user is not an account administrator
- 403: API access is disabled for the account
- 422: Campaign validation failed

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
